<?php
/*
This file is part of the tts2 module, written by Franky Van Liedekerke for more.groupware, and based on the original tts module.
Contact: liedekef@pandora.be
*/

$myEnv["module"] = "tts2";
$myEnv["output"] = "html";

require_once("../../config.inc.php");
require_once(INCLUDEPATH . "container.inc.php");

$user = $_SESSION["MGW"]->userid;
include_once("./inc/repository.inc.php");
include_once("./inc/ticket.class.php");

// adding file revision into global array
revisionInit("\$Revision: 1.1 $", __FILE__);

$action="";
if(isset($_REQUEST["action"]))
	$action=$_REQUEST["action"];

#if (($action == "detail") || ($action == "newcomment") ||
#    ($action == "unpause") || ($action == "editform")) {
#    $id_ticket="";
#    if(isset($_REQUEST["id_ticket"])) {
#        $id_ticket=(int)$_REQUEST["id_ticket"];
#    }
#    $ticket = new Ticket($id_ticket);
#} else {
#    $ticket = new Ticket();
#}
if(isset($_REQUEST["id_ticket"])) {
   $id_ticket=(int)$_REQUEST["id_ticket"];
   $ticket = new Ticket($id_ticket);
} else {
   $ticket = new Ticket();
}

// =================================================
//	              creation of a new ticket
// =================================================

if (isset($_POST["create"]) and !empty($_POST["create"])){
	
    $ticket->opCreate();
    redirect("./index.php?".SID);
}

// =================================================
//	              unpause of a ticket
// =================================================

if ($action == "unpause") {
    $ticket->setOwner($user);
    $ticket->opUnpause();
    redirect("./index.php?".SID);
}

// =================================================
//	              modification of a ticket
// =================================================

if (isset($_POST["modify"]) and !empty($_POST["modify"])){
    $ticket->opUpdate();
    redirect("./index.php?".SID);
}

// =================================================
//	              Ticket Detail
// =================================================

if ($action == "detail") {
    $ticket->viewDetails();
    exit();
}


// =================================================
//	              Ticket modification form
// =================================================

if ($action == "editform") {
    $ticket->viewEditForm();
    exit();
}

// =================================================
//	              Summary
// =================================================
if ($action == "summary") {
    $ticket->viewSummary();
    exit();
}

// =================================================
//	              New Ticket
// =================================================
if ($action == "newform") {
    $ticket->viewNewForm();
    exit();
}

// =================================================
//	              New Comment form
// =================================================
if ($action == "newcomment") {
    $ticket->viewCommentForm();
    exit();
}

// =================================================
//	              New Comment
// =================================================
if (isset($_POST["addcomment"]) and !empty($_POST["addcomment"])) {
    $ticket->opComment();
    redirect("./index.php?".SID);
}

// Now using REQUEST because this can be set either by POST (for searces)
// or by GET (for previous/next pages)
$ticket->ViewList();
?>
