<?php
/******************************************************************************
 * $Id: adminlog.php,v 1.1 2004/04/01 12:06:42 anoncvs_devconfig Exp $
 * File:				adminlog.php
 * Description:			shows admin log
 * Authors:				Bastian Pttner		bastian@poettner.net
 *						Thorsten Rinne		thorsten@rinne.info
 * Date:				2003-02-23
 * Last change:			2003-10-02
 * Copyright:           (c) 2001-2003 Thorsten Rinne und Bastian Pttner
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/

if (allowed(GetRight("adminlog"), $auth_user)) {
	
	$perpage = 15;
	
	if(!isset($_REQUEST["pages"])) {
		$pages = round(($db->num_rows($db->query("SELECT id FROM ".$sqltblpre."faqadminlog"))+($perpage/3)) / $perpage,0);
		}
	else {
		$pages = $_REQUEST["pages"];
		}
	
	if(!isset($_REQUEST["page"])) {
		$page = 1;
		}
	else {
		$page = $_REQUEST["page"];
		}
	
	$start = ($page-1) * $perpage;
	$ende = $start + $perpage;
	
	$PageSpan = PageSpan("<a href=\"".$_SERVER["PHP_SELF"].$linkext."&aktion=adminlog&pages=$pages&page=<NUM>\">", 1, $pages, $page);
	
	$result = $db->query("SELECT id, time, user, text, ip FROM ".$sqltblpre."faqadminlog ORDER BY id DESC LIMIT ".$start.", ".$perpage);
?>
	<h3><?php print $ad_adminlog ?></h3>
	<table width="100%" align=center cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td align="right"><p><?php print $PageSpan; ?></p></td>
	</tr>	
	<tr bgcolor="#778899">
		<td>
		<table width="100%" border="0" cellspacing="1" cellpadding="2">
		<tr bgcolor="#b0c4de">
			<td><b><?php print $ad_categ_id ?></b></td>
			<td><b><?php print $ad_adminlog_date ?></b></td>
			<td><b><?php print $ad_adminlog_user ?></b></td>
			<td><b><?php print $ad_adminlog_ip ?></b></td>
		</tr>
<?php
	while (list($id,$tim,$usr,$text,$ip) = $db->fetch_row($result)) {
		list($usr) = $db->fetch_row($db->query("SELECT NAME FROM ".$sqltblpre."faquser WHERE ID='".$usr."'"));
?>
		<tr bgcolor="<?php print rowcolor($id); ?>">
			<td><?php print $id; ?></td>
			<td><?php print date("H:i:s, d.m.Y",$tim); ?></td>
			<td><?php print $usr; ?></td>
			<td><?php print $ip; ?></td>
		</tr>
		<tr bgcolor="<?php print rowcolor($id); ?>">
			<td>&nbsp;</td>
			<td colspan="3">
<?php 
		$text = str_replace("Loginerror", $ad_log_lger, $text);
		$text = str_replace("Session expired", $ad_log_sess, $text);
		$text = str_replace("Useredit, ", $ad_log_edit, $text);
		$text = str_replace("Beitragcreatesave", $ad_log_crsa, $text);
		$text = str_replace("Beitragcreate", $ad_log_crea, $text);
		$text = str_replace("Usersave, ", $ad_log_ussa, $text);
		$text = str_replace("Userdel, ", $ad_log_usde, $text);
		$text = str_replace("Beitragedit, ", $ad_log_beed, $text);
		$text = str_replace("Beitragdel, ", $ad_log_bede, $text);
		print $text;
?></td>
		</tr>
<?php
		}
?>
		</table>
		</td>
	</tr>
	<tr>
	<td align="right"><p><?php print $PageSpan; ?></p></td>
</tr>
</table>
<?php
	}
else {
	na();
	}
?>